// class Fl_LmixGroup : public Fl_Group 
// rap the group into a managable class
// programmer: CURTIS/DON

#ifndef Fl_LmixGroup_H
#define Fl_LmixGroup_H

#include <FL/Fl.H>
#include <FL/Fl_Menu_Button.H>
#include <FL/fl_draw.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Light_Button.H>
#include <FL/Fl_Scroll.H>
#include <FL/Fl_Value_Slider.H>
#include <FL/Fl_Group.H>

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#define MINFRAMEHEIGHT   26

class Fl_Frametab : public Fl_Group 
{
public:

   int   Hsize;           //size when expanded of compressed
   int   isopen;          //TRUE/FALSE if frame open/closed
   const char *title;     //title needs to be drawn a little different
   void  draw();          //main draw
   int   handle(int);     //events,for pushing of frame area
   void  close();
   void  open();
   Fl_Frametab(int x,int y,int w,int h,char *);
};
#endif
